//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//---------------   GSM  M95   STM32F10XX ------------------
//--           --
//- :          -
//----  :   yagov@promelec.ru  support@promelec.ru -----
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

#include "M95_Types.h"

//------------------------------------------------------------------------------
//-------------- ,     M95 ------------------------
//------------------------------------------------------------------------------

//  
const Message_TypeDef message_AT_PLUS={3, "AT+"};

//     ?
const Message_TypeDef message_CPIN={4, "CPIN"};

// OK
const Message_TypeDef message_OK={2, "OK"};

//  
const Message_TypeDef message_Terminate_Call={5, "ATH 0"};

//   
const Message_TypeDef message10={4, "1234"};

//       
const char char1[4]={'=', '?', (char)0xd, (char)0xa};
const Message_TypeDef message_Built_Test={4, (char*) char1};

//       
const char char2[3]={'?', (char)0xd, (char)0xa};
const Message_TypeDef message_Built_Read={3, (char*) char2};

//       
const char char3[2]={(char)0xd, (char)0xa};
const Message_TypeDef message_Built_Write={2, (char*) char3};

//
const Message_TypeDef message_ERROR={5, "ERROR"};

//"READY"    
const Message_TypeDef message_CPIN_READY={12, "+CPIN: READY"};

//     SMS
const Message_TypeDef message_CSCA={4, "CSCA"};
const Message_TypeDef message_PLUS_CSCA={6, "+CSCA:"};
const Message_TypeDef message_CSCS={4, "CSCS"};
const char char4[5]={'"', 'G', 'S', 'M', '"'};
const Message_TypeDef message_GSM={5, (char*) char4};

//    
const Message_TypeDef message_CREG={4, "CREG"};
const Message_TypeDef message_PLUS_CREG={6, "+CREG:"};

//  SMS
const Message_TypeDef message_CMGF_1={6, "CMGF=1"};
const Message_TypeDef message_CSMP={17, "CSMP=17,167,0,241"};
const Message_TypeDef message_CNMI={14, "CNMI=2,1,0,0,0"};
const Message_TypeDef message_CMGS={4, "CMGS"};


//    SMS
// !!!!!!  !!!!!!   ,    char_SMS2.
//        :
 const char char_SMS2[14]={'"','+','7','7','7','7','7','7','7','7','7','7','7','"'};
const Message_TypeDef message_CMGS_1={14,  (char*) char_SMS2};

//  :
const char char_SMS3[46]={'S','r','a','b','o','t','a','l',
' ','d','a','t','c','h','i','k',' ','p','r','i','s','u','t','s','t','v','i','y','a',0xa,
'w','w','w','.','p','r','o','m','e','l','e','c','.','r','u',0x1a};
const Message_TypeDef message_CMGS_2={46,  (char*) char_SMS3};

//    
const Message_TypeDef message_CLIP={6, "CLIP=1"};
const Message_TypeDef message_Plus_CLIP={6, "+CLIP:"};

// 
const Message_TypeDef message_RING={4, "RING"};
const Message_TypeDef message_NO_CARRIER={10, "NO CARRIER"};


//------------------------------------------------------------------------------
//---------------   GSM  M95   STM32F10XX ------------------
//--------------------------           2013         ----------------------------
//------------------------------------------------------------------------------