//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//---------------   GSM  M95   STM32F10XX ------------------
//--           --
//- :          -
//----  :   yagov@promelec.ru  support@promelec.ru -----
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
//--------------------    ----------------------------
//------------------   M95   ---------------------------
//------------------------------------------------------------------------------

#define USARTx_TDR_ADDRESS                USART1_BASE+0x04 
#define USARTx_RDR_ADDRESS                USART1_BASE+0x04 

#include "M95_Definitions.h"

static uint8_t USART_TX_Buzy_FLAG;                      //     USART

extern void ProcessMashine(void);

void M95_Init(void);
void Usart_DMA_Config(void);
void Usart_Tx(uint32_t String, uint16_t Len);
void Usart_Rx(uint32_t String, uint16_t Len);
void Usart_Config(void);
void PWR_Key_Config(void);
void DMA1_Channel4_IRQHandler(void);
void USART1_IRQHandler(void);
void SYSTIC_Start (uint32_t Value);
void SYSTIC_Stop (void);
void SysTick_Handler(void);

//------------------------------------------------------------------------------
//---------------   GSM  M95   STM32F0XXX ------------------
//---------------     -------------------
//---------------          http://www.promelec.ru/           -------------------
//--------------------------           2013         ----------------------------
//------------------------------------------------------------------------------